# Disable debug package generation
%global debug_package %{nil}
%global __os_install_post %{nil}
%global _build_id_links none

Name:           PATH-add-dot_local_bin
Version:        1
Release:        1%{?dist}inf2
Summary:        DDCA RISCV Toolchain

License:        GPLv3+

BuildArch:	noarch

# Disable automatic dependency generation
AutoReq:        no

%description
adds a file to /etc/profile.d which does
export PATH="~/.local/bin${PATH:+:${PATH}}"

%prep

%build
# No build steps needed

%install
rm -rf %{buildroot}

# Prevent stripping binaries
export DONT_STRIP=1

# Create installation directory
install -d %{buildroot}/%{_sysconfdir}/profile.d/

cat > %{buildroot}/%{_sysconfdir}/profile.d/PATH-dot_local_bin.sh << EOF
export PATH="~/.local/bin\${PATH:+:\${PATH}}"
EOF

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_sysconfdir}/profile.d/PATH-dot_local_bin.sh
